<div class="row">
    <div class="col-xs-12">
        <form [formGroup]="recetteForm" (ngSubmit)="onSubmit()">
            <div class="row">
                <div class="col-xs-12">
                    <button class="btn btn-success" type="submit" [disabled]="!recetteForm.valid">Sauvegarder</button>
                    <button class="btn btn-danger" type="button" (click)="onCancel()">Annuler</button>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="form-group">
                        <label for="nom">Nom</label>
                        <input type="text" id="name" formControlName="name" class="form-control">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="form-group">
                        <label for="imagePath">Image Url</label>
                        <input type="text" id="imagePath" formControlName="imagePath" class="form-control" #imagePath>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <img [src]="imagePath.value" class="img-responsive">
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="form-group">
                        <label for="description">Description</label>
                        <textarea type="text" id="description" formControlName="description" class="form-control" rows="6"></textarea>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12" formArrayName="ingredients">
                    <div class="row" *ngFor="let ingredientCtrl of controls; let i = index" [formGroupName]="i" style="margin-top: 10px;">
                        <div class="col-xs-8">
                            <input type="text"  class="form-control" formControlName="name">
                        </div>
                        <div class="col-xs-2">
                            <input type="number"  class="form-control" formControlName="amount">
                        </div>
                        <div class="col-xs-2">
                            <button type="button" class="btn btn-danger" (click)="onDeleteIngredient(i)">X</button>
                        </div>
                    </div>
                    <hr>
                    <div class="row">
                        <div class="col-xs-12">
                            <button class="btn btn-success" type="button" (click)="onAddIngredient()">Ajouter un ingrédient</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
